Delete parameters
Base URL
https://{kibana_url}
POST
/api/synthetics/params/_bulk_delete
POST
/s/{space_id} /api/synthetics/params/_bulk_delete
Auth
Delete parameters from the Synthetics app.
You must have all privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
{
}
ids
string []
An array of parameter IDs to delete.
<array> object []
deleted
boolean
Indicates whether the parameter was successfully deleted. It is true if it was deleted. It is false if it was not deleted.
id
string
The unique identifier for the deleted parameter.
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
Run POST /api/synthetics/params/_bulk_delete to delete multiple parameters.
Show more
1
2
3
4
POST kbn:/api/synthetics/params/_bulk_delete
{
"ids": ["param1-id", "param2-id"]
}
Generated from the API spec
1
2
3
4
5
6
curl -X POST "${KIBANA_URL}/api/synthetics/params/_bulk_delete" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{
"ids": ["param1-id", "param2-id"]
}'
Generated from the API spec
Response
1
2
3
4
5
6
[
{
"id": "param1-id",
"deleted": true
}
]